<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="./css/bootstrap.min.css" />
    <!-- <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    /> -->

    <link
      rel="stylesheet"
      href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css"
      integrity="sha512-xwE/Az9zrjBIphAcBb3F6JVqxf46+CDLwfLMHloNu6KEQCAWi6HcDUbeOfBIptF7tcCzusKFjFw2yuvEpDL9wQ=="
      crossorigin=""
    />
    <script
      src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"
      integrity="sha512-gZwIG9x3wUXg2hdXF6+rVkLF/0Vi9U8D2Ntg4Ga5I5BZpVkVxlJWbSQtXPSiUTtC0TjtGOmxa1AJPuV0CPthew=="
      crossorigin=""
    ></script>

    <link rel="stylesheet" type="text/css" href="./css/style.css" />
  </head>
  <body>
    <section id="app">
      <h3>
        <img
          src="https://avatars3.githubusercontent.com/u/42224737?s=400&u=04ff0999073ca06a5e292c00ea24b29d8b660efd&v=4"
          width="40px"
        />
        Liberdus Network Explorer
      </h3>
      <p>
        <strong>Current Cycle:</strong>
        <span v-if="currentCycle">{{ currentCycle.counter }}</span>
      </p>
      <p><strong>Active Nodes:</strong> {{ nodeCount }}</p>
      <!-- <p><strong>Actual Active:</strong> {{ activeCount }}</p> -->
      <p><strong>Syncing Nodes:</strong> {{ syncingCount }}</p>
      <hr />
      <div id="mapid"></div>
      <!-- <hr />
      <h6>FOR TESTING ONLY</h6>
      <div class="row">
        <div class="column">
          <h6>Active Nodes</h6>
          <ul>
            <li v-for="node in activeNodeList" :key="node.id">
              {{ node.id.slice(0, 10) }} : {{ node.geoLocation.city}}, {{
              node.geoLocation.country }}
            </li>
          </ul>
        </div>
        <div class="column">
          <h6>Syncing Nodes</h6>
          <ul>
            <li v-for="nodeId in Object.keys(joined)" :key="nodeId">
              {{ nodeId.slice(0, 10) }} : {{ joined[nodeId].geoLocation.city}},
              {{ joined[nodeId].geoLocation.country }}
            </li>
          </ul>
        </div>
      </div> -->
    </section>

    <script type="text/javascript" src="./js/bootstrap.min.js"></script>
    <script type="text/javascript" src="./js/vue.js"></script>
    <script
      type="text/javascript"
      src="https://unpkg.com/axios/dist/axios.min.js"
    ></script>
    <script
      type="text/javascript"
      src="https://unpkg.com/event-source-polyfill/src/eventsource.min.js"
    ></script>
    <script type="text/javascript" src="./js/network.js"></script>
  </body>
</html>
